
Figure - 开发 Dev #110963
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

开发 Dev # 110951 (New): 【MK】【AF】【MultiWindow】【TC-RID: 1201-0201401】

【MK】【AF】【MultiWindow】【TC-RID: 1201-0201401】限制小窗显示的个数
2022-08-02 16:43 - DL FW-王琳

Status: New Start date: 2022-09-05

Priority: Normal Due date: 2022-09-09

Assignee: CD FW-鲁凯峰 % Done: 80%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Description

1.小窗数量要求：小窗数量为1，不包含底层应用，用户无法同时开启两个小窗。当小窗已开启时，打开新的窗口，上一个小窗关闭。

备注：原生默认是只显示一个小窗口，怀疑是在启动阶段有处理，需要确认下代码，是否需要修改

自测：

1.依次启动多个小窗应用，只显示最后启动的小窗

Related issues:

Copied from Figure - 开发 Dev # 110962: 【MK】【AF】【MultiWindo... 取消 Canceled 2022-09-12 2022-09-16

History

#1 - 2022-08-04 19:48 - CD FW-王伟

- Subject changed from 【MK】【AF】【MultiWindow】【TC-RID: 0301-0201401】限制小窗显示的个数 to 【MK】【AF】【MultiWindow】【TC-RID:

1201-0201401】限制小窗显示的个数

#2 - 2022-09-26 17:08 - DL FW-张挽强

- % Done changed from 0 to 80

1.依次启动多个小窗应用，只显示最后启动的小窗

#3 - 2022-09-26 17:45 - DL FW-王琳

- Target version set to VX1_MCE_FSE_V2.0_20220930

#4 - 2022-09-27 19:19 - CD TPM-申艳艳

- Category set to 窗口定制

#5 - 2022-12-22 20:33 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

149149 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com
AF:MultiWindow:  Limit the number of freeform displayed1.User cannot open two freeforms at the same time2.For cold-started applications, use freeform mode

to start3.Add exit, entry and other interfacesTC-RID: 0301-0201401IssueID: TS-R-DF-110963 TS-R-DF-110953Change-Id:

I12e8df17940cc7a6e17ba065481ffb75ba037f53

#6 - 2023-06-28 11:09 - CD FW-鲁凯峰

- Assignee changed from DL FW-张挽强 to CD FW-鲁凯峰
